Package org.apache.sling.feature.analyser.task

# Class AnalyzerTaskProvider

java.lang.Object
org.apache.sling.feature.analyser.task.AnalyzerTaskProvider

public final class AnalyzerTaskProvider extends Object

## Method Summary

Modifier and Type
Method
Description
`static AnalyserTask[]`
`getTasks()`
Get all tasks.
`static AnalyserTask[]`
`getTasksByClassName(String... taskClassNames)`
Get tasks from class names
`static AnalyserTask[]`
`getTasksByIds(Set<String> includes, Set<String> excludes)`
Get all tasks and obey the includes/excludes rules.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTasks

public static AnalyserTask[] getTasks()
Get all tasks. Calls `getTasksByIds(null, null)`.

Returns:
  The analyser tasks, array is never `null` but might be empty

### getTasksByIds

public static AnalyserTask[] getTasksByIds(Set<String> includes, Set<String> excludes)
Get all tasks and obey the includes/excludes rules. If both includes and excludes are null, method behaves like `getTasks()`

Parameters:
  `includes` - includes can be null, means "include everything"
  `excludes` - excludes can be null, means "do not exclude anything"
Returns:
  The analyser tasks, array is never `null` but might be empty
Throws:
  `IllegalStateException` - If an included task is not found

### getTasksByClassName

public static AnalyserTask[] getTasksByClassName(String... taskClassNames) throws IOException
Get tasks from class names

Parameters:
  `taskClassNames` - The array of class names
Returns:
  The analyser tasks, array is never `null` but might be empty
Throws:
  `IOException` - If class names is null or loading fails